Bug 469315 - Pidgin crash when having new messages available after check option "AutoProfile" in plugins
Pidgin crash when having new messages available after check option "AutoProfi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: purple-plugin_pack (Show other bugs)
10
i386 Linux
high Severity high
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 05:21 EDT by Yolkfull Chow
Modified: 2009-12-18 01:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:42:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (7.52 KB, patch)
2009-01-16 08:49 EST, Stu Tomlinson
no flags Details | Diff

  None (edit)
Description Yolkfull Chow 2008-10-31 05:21:03 EDT
Description of problem:
After checked option "AutoProfile" in plugins, when having new messages available, pidgin crash... and get following messages:

---------
Pidgin 2.5.2-1.fc10 has segfaulted and attempted to dump a core file.
This is a bug in the software and has happened through
no fault of your own.

If you can reproduce the crash, please notify the developers
by reporting a bug at:
http://developer.pidgin.im/simpleticket/

Please make sure to specify what you were doing at the time
and post the backtrace from the core file.  If you do not know
how to get the backtrace, please read the instructions at
http://developer.pidgin.im/wiki/GetABacktrace

If you need further assistance, please IM either SeanEgn or 
LSchiere (via AIM).  Contact information for Sean and Luke 
on other protocols is at
http://developer.pidgin.im/wiki/DeveloperPages

[1]+  Segmentation fault      pidgin
------------

Version-Release number of selected component (if applicable):
Pidgin 2.5.2-1.fc10

How reproducible:


Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Stu Tomlinson 2008-10-31 08:58:33 EDT
Please get a backtrace after installing debuginfo RPMs with "debuginfo-install pidgin"
Comment 2 Yolkfull Chow 2008-10-31 09:29:21 EDT
Seems debuginfo-install python script is too old, it use fedora-debuginfo.repo which is not exist and have been integrated into fedora.repo. When I make a fedora-debuginfo.repo for it, get following errors:

[root@localhost ~]# debuginfo-install pidgin
载入插件: fastestmirror, kernel-module, refresh-packagekit
Repository fedora-debuginfo is listed more than once in the configuration
Loading mirror speeds from cached hostfile
 * fedora: opensource.nchc.org.tw
 * rawhide: ftp.cse.yzu.edu.tw
enabling fedora-debuginfo
Checking for new repos for mirrors
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 140, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 42, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 72, in main
    self.doRepoSetup(thisrepo=r.id)
  File "/usr/share/yum-cli/cli.py", line 122, in doRepoSetup
    yum.YumBase._getRepos(self, thisrepo=thisrepo, doSetup=True)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 399, in _getRepos
    self._repos.doSetup(thisrepo)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 71, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 176, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/fastestmirror.py", line 176, in postreposetup_hook
    if downgrade_ftp and _len_non_ftp(repo.urls) == 1:
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 596, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 593, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 567, in _baseurlSetup
    self.check()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 402, in check
    'Cannot find a valid baseurl for repo: %s' % self.id
yum.Errors.RepoError: Cannot find a valid baseurl for repo: fedora-debuginfo

Do I need open another bug for it?
Comment 3 Yolkfull Chow 2008-10-31 09:53:10 EDT
Haven't found any pidgin-debuginfo package for this version.
What I can support as following:
......
Program received signal SIGSEGV, Segmentation fault.
---Type <return> to continue, or q <return> to quit---
0x0710b109 in ?? () from /usr/lib/purple-2/autoprofile.so
(gdb) bt
#0  0x0710b109 in ?? () from /usr/lib/purple-2/autoprofile.so
#1  0x00724936 in ?? () from /lib/libglib-2.0.so.0
#2  0x00724208 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#3  0x007278b3 in ?? () from /lib/libglib-2.0.so.0
#4  0x00727dd2 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0x058cc489 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#6  0x080c6b86 in main ()
Comment 4 Stu Tomlinson 2008-10-31 10:26:19 EDT
That's enough to confirm it is crashing in the autoprofile plugin, not in pidgin itself. That plugin is part of the plugin pack, so I am reassigning.

You'll still need to install pidgin-debuginfo (and purple-plugin_pack-debuginfo), I am not sure what is wrong with debuginfo-install but you should not have created a fedora-debuginfo.repo file as that just made things worse ("Repository fedora-debuginfo is listed more than once in the configuration").
Comment 5 Yolkfull Chow 2008-11-03 02:16:02 EST
So do you know where I could find the pidgin-debuginfo package other that this address: http://download.fedora.redhat.com/pub/fedora/linux/development/i386/debug/ ?
Comment 6 Ignacio Vazquez-Abrams 2008-11-03 04:15:49 EST
What's wrong with the debuginfo at that location?
Comment 7 Yolkfull Chow 2008-11-03 05:17:53 EST
I haven't found the package pidgin-debuginfo before this.Strange...
Anyway, Backtrace output:

----------
Program received signal SIGSEGV, Segmentation fault.
0x06ba8109 in ?? () from /usr/lib/purple-2/autoprofile.so
Missing separate debuginfos, use: debuginfo-install GConf2.i386 ORBit2.i386 atk.i386 avahi.i386 bug-buddy.i386 bzip2.i386 cairo.i386 cyrus-sasl.i386 db4.i386 dbus-glib.i386 dbus.i386 e2fsprogs.i386 elfutils.i386 enchant.i386 evolution-data-server.i386 expat.i386 fontconfig.i386 freetype.i386 gamin.i386 gcc.i386 glib.i386 glib2.i386 glibc.i686 gnome-vfs2.i386 gnutls.i386 gstreamer.i386 gtk+.i386 gtk-nodoka-engine.i386 gtk2.i386 gtkspell.i386 gvfs.i386 hunspell.i386 keyutils.i386 krb5.i386 libICE.i386 libSM.i386 libX11.i386 libXScrnSaver.i386 libXau.i386 libXcomposite.i386 libXcursor.i386 libXdamage.i386 libXdmcp.i386 libXext.i386 libXfixes.i386 libXft.i386 libXi.i386 libXinerama.i386 libXrandr.i386 libXrender.i386 libbonobo.i386 libcanberra.i386 libcap.i386 libcroco.i386 libgcrypt.i386 libgnome.i386 libgpg-error.i386 libgsf.i386 libidn.i386 libjpeg.i386 libnotify.i386 libogg.i386 libotr.i386 libpng.i386 librsvg2.i386 libselinux.i386 libsilc.i386 libsoup.i386 libtasn1.i386 libtool.i386 libvorbis.i386 libxcb.i386 libxml2.i386 meanwhile.i386 nautilus-sendto.i386 nspr.i386 nss.i386 openssl.i686 pango.i386 perl.i386 pidgin-encryption.i386 pidgin-guifications.i386 pidgin-knotify.i386 pidgin-libnotify.i386 pidgin-otr.i386 pidgin-rhythmbox.i386 pixman.i386 popt.i386 purple-facebookchat.i386 purple-plugin_pack.i386 samba.i386 sqlite.i386 startup-notification.i386 tcl.i386 tk.i386 xmms.i386 zlib.i386
(gdb) bt
#0  0x06ba8109 in ?? () from /usr/lib/purple-2/autoprofile.so
#1  0x00724936 in ?? () from /lib/libglib-2.0.so.0
#2  0x00724208 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#3  0x007278b3 in ?? () from /lib/libglib-2.0.so.0
#4  0x00727dd2 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0x058cc489 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#6  0x080c6b86 in main (argc=1, argv=0xbffff454) at gtkmain.c:888
(gdb)
Comment 8 Ignacio Vazquez-Abrams 2008-11-03 06:20:36 EST
None of the libraries listed in the backtrace are actually *in* pidgin, so pidgin-debuginfo isn't enough.
Comment 9 Bug Zapper 2008-11-25 23:32:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Yolkfull Chow 2009-01-15 20:30:38 EST
Problem still exists in pidgin-2.5.3-1.fc11.i386, any updates?
...
Detaching after fork from child process 3698.
Detaching after fork from child process 3699.
Detaching after fork from child process 3700.
Detaching after fork from child process 3701.

Program received signal SIGSEGV, Segmentation fault.
0x063e7109 in ?? () from /usr/lib/purple-2/autoprofile.so
(gdb) thread apply all backtrace

Thread 1 (Thread 0xb7fce750 (LWP 3681)):
#0  0x063e7109 in ?? () from /usr/lib/purple-2/autoprofile.so
#1  0x07185e06 in ?? () from /lib/libglib-2.0.so.0
#2  0x071856d8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#3  0x07188d83 in ?? () from /lib/libglib-2.0.so.0
#4  0x071892a2 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0x07352459 in IA__gtk_main () at gtkmain.c:1200
#6  0x080c705e in main ()
(gdb)
Comment 11 Stu Tomlinson 2009-01-15 20:40:59 EST
you still need to install the relevant debuginfo RPMs. a backtrace after installing these if you have the repos set up correctly should be more helpful:
# debuginfo-install purple-plugin_pack pidgin
Comment 12 Yolkfull Chow 2009-01-15 22:36:56 EST
...
Detaching after fork from child process 7515.
Detaching after fork from child process 7516.

Program received signal SIGSEGV, Segmentation fault.
0x01e9e109 in is_idle () at autoaway.c:43
43	  if (!strcmp (idle_reporting, "system") &&
Missing separate debuginfos, use: debuginfo-install libtdb-1.1.1-25.fc10.i386
(gdb) thread apply all backtrace

Thread 1 (Thread 0xb7fce750 (LWP 7498)):
#0  0x01e9e109 in is_idle () at autoaway.c:43
#1  ap_check_idleness (data=0x0) at autoaway.c:71
#2  0x00413e36 in g_timeout_dispatch (source=0x8493cd8, callback=0, user_data=0x0) at gmain.c:3253
#3  0x00413708 in g_main_dispatch () at gmain.c:1814
#4  IA__g_main_context_dispatch (context=0x815a010) at gmain.c:2367
#5  0x00416db3 in g_main_context_iterate (context=0x815a010, block=1, dispatch=1, self=0x81363f0) at gmain.c:2448
#6  0x004172d2 in IA__g_main_loop_run (loop=0x84901d8) at gmain.c:2656
#7  0x07352459 in IA__gtk_main () at gtkmain.c:1200
#8  0x080c707e in main (argc=1, argv=0xbffff4f4) at gtkmain.c:884
(gdb) 

test pkg: pidgin-2.5.4-1.fc11.i386
Comment 13 Yolkfull Chow 2009-01-16 00:45:15 EST
...
(gdb) step
192			fprintf(stderr, "%s", segfault_message);
(gdb) quit
The program is running.  Exit anyway? (y or n) n
Not confirmed.
(gdb) s
_IO_fputs (
    str=0x813a968 "Pidgin 2.5.4-1.fc11 has segfaulted and attempted to dump a core file.\nThis is a bug in the software and has happened through\nno fault of your own.\n\nIf you can reproduce the crash, please notify the de"..., fp=0xc09560) at iofputs.c:37
37	  _IO_size_t len = strlen (str);
(gdb) 

Seems both crashes are not the same one?
Comment 14 Stu Tomlinson 2009-01-16 08:49:20 EST
Created attachment 329206 [details]
Patch

This patch should fix the crash reported here. It is already applied upstream.
Comment 15 Stu Tomlinson 2009-01-16 09:07:35 EST
Sorry I should have checked, but that patch alone does not apply cleanly to purple plugin pack 2.4.0 sources. I suggest updating to plugin pack 2.5.1.
Comment 16 Bug Zapper 2009-11-18 02:47:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-12-18 01:42:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.